#
# spec file for package rubygem-haml
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-haml
Version:        5.0.4
Release:        1.19
%define mod_name haml
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://haml.info/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        An elegant, structured (X)HTML/XML templating engine
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Haml (HTML Abstraction Markup Language) is a layer on top of HTML or XML
that's
designed to express the structure of documents in a non-repetitive, elegant,
and
easy way by using indentation rather than closing tags and allowing Ruby to be
embedded with ease. It was originally envisioned as a plugin for Ruby on
Rails,
but it can function as a stand-alone templating engine.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Oct 13 2017 mschnitzer@suse.com
- updated to version 5.0.4
  Released on October 13, 2017 (diff).
  * Fix haml -c --stdin regression in 5.0.2. #958 (thanks Timo Göllner)
  * Ruby 2.5 support (it wasn't working due to Ripper API change). (Akira Matsuda)
* Thu Sep  7 2017 mschnitzer@suse.com
- updated to version 5.0.3
  Released on September 7, 2017 (diff).
  * Use String#dump instead of String#inspect to generate string literal. (Takashi Kokubun)
  * Fix Erubi superclass mismatch error. #952 (thanks Robin Daugherty)
* Thu Aug  3 2017 coolo@suse.com
- updated to version 5.0.2
  see installed CHANGELOG.md
  [#]# 5.0.2
  Released on August 1, 2017
  ([diff](https://github.com/haml/haml/compare/v5.0.2...v5.0.1)).
  * Let `haml -c` fail if generated Ruby code is syntax error. [#880](https://github.com/haml/haml/issues/880) (Takashi Kokubun)
  * Fix `NoMethodError` bug caused with Sprockets 3 and :sass filter. [#930](https://github.com/haml/haml/pull/930) (thanks [Gonzalez Maximiliano](https://github.com/emaxi))
  * Fix `list_of` helper with multi-line content. [#933](https://github.com/haml/haml/pull/933) (thanks [Benoit Larroque](https://github.com/zetaben))
  * Optimize rendering performance by changing timing to fix textareas. [#941](https://github.com/haml/haml/pull/941) (Takashi Kokubun)
  * Fix `TypeError` with empty :ruby filter. [#942](https://github.com/haml/haml/pull/942) (Takashi Kokubun)
  * Fix inconsitent attribute sort order. (Takashi Kokubun)
* Tue May 23 2017 coolo@suse.com
- updated to version 5.0.1
  see installed CHANGELOG.md
  [#]# 5.0.1
  Released on May 3, 2017
  ([diff](https://github.com/haml/haml/compare/v5.0.0...v5.0.1)).
  * Fix parsing attributes including string interpolation. [#917](https://github.com/haml/haml/pull/917) [#921](https://github.com/haml/haml/issues/921)
  * Stop distributing test files in gem package and allow installing on Windows.
  * Use ActionView's Erubi/Erubis handler for erb filter only on ActionView. [#914](https://github.com/haml/haml/pull/914)
  [#]# 5.0.0
  Released on April 26, 2017
  ([diff](https://github.com/haml/haml/compare/4.0.7...v5.0.0)).
  Breaking Changes
  * Haml now requires Ruby 2.0.0 or above.
  * Rails 3 is no longer supported, matching the official
    [Maintenance Policy for Ruby on Rails](http://weblog.rubyonrails.org/2013/2/24/maintenance-policy-for-ruby-on-rails/).
    (Tee Parham)
  * The `haml` command's debug option (`-d`) no longer executes the Haml code, but
    rather checks the generated Ruby syntax for errors.
  * Drop parser/compiler accessor from `Haml::Engine`. Modify `Haml::Engine#initialize` options
    or `Haml::Template.options` instead. (Takashi Kokubun)
  * Drop dynamic quotes support and always escape `'` for `escape_html`/`escape_attrs` instead.
    Also, escaped results are slightly changed and always unified to the same characters. (Takashi Kokubun)
  * Don't preserve newlines in attributes. (Takashi Kokubun)
  * HTML escape interpolated code in filters.
    [#770](https://github.com/haml/haml/pull/770)
    (Matt Wildig)
    :javascript
    [#]{JSON.generate(foo: "bar")}
    Haml 4 output: {"foo":"bar"}
    Haml 5 output: {&quot;foo&quot;:&quot;bar&quot;}
  Added
  * Add a tracing option. When enabled, Haml will output a data-trace attribute on each tag showing the path
    to the source Haml file from which it was generated. Thanks [Alex Babkin](https://github.com/ababkin).
  * Add `haml_tag_if` to render a block, conditionally wrapped in another element (Matt Wildig)
  * Support Rails 5.1 Erubi template handler.
  * Support Sprockets 3. Thanks [Sam Davies](https://github.com/samphilipd) and [Jeremy Venezia](https://github.com/jvenezia).
  * General performance and memory usage improvements. (Akira Matsuda)
  * Analyze attribute values by Ripper and render static attributes beforehand. (Takashi Kokubun)
  * Optimize attribute rendering about 3x faster. (Takashi Kokubun)
  * Add temple gem as dependency and create `Haml::TempleEngine` class.
    Some methods in `Haml::Compiler` are migrated to `Haml::TempleEngine`. (Takashi Kokubun)
  Fixed
  * Fix for attribute merging. When an attribute method (or literal nested hash)
    was used in an old style attribute hash and there is also a (non-static) new
    style hash there is an error. The fix can result in different behavior in
    some circumstances. See the [commit message](https://github.com/haml/haml/tree/e475b015d3171fb4c4f140db304f7970c787d6e3)
    for detailed info. (Matt Wildig)
  * Make escape_once respect hexadecimal references. (Matt Wildig)
  * Don't treat the 'data' attribute specially when merging attribute hashes. (Matt Wildig and Norman Clarke)
  * Fix #@foo and #$foo style interpolation that was not working in html_safe mode. (Akira Matsuda)
  * Allow `@` as tag's class name. Thanks [Joe Bartlett](https://github.com/redoPop).
  * Raise `Haml::InvalidAttributeNameError` when attribute name includes invalid characters. (Takashi Kokubun)
  * Don't ignore unexpected exceptions on initializing `ActionView::OutputBuffer`. (Takashi Kokubun)
* Tue Aug 11 2015 coolo@suse.com
- updated to version 4.0.7
  see installed CHANGELOG.md
  [#]# 4.0.7
  Released on August 10, 2015
  ([diff](https://github.com/haml/haml/compare/4.0.6...4.0.7)).
  * Significantly improve performance of regexp used to fix whitespace handling in textareas (thanks [Stan Hu](https://github.com/stanhu)).
* Mon Feb  9 2015 coolo@suse.com
- updated to version 4.0.6
  * Fix warning on Ruby 1.8.7 "regexp has invalid interval" (thanks [Elia Schito](https://github.com/elia)).
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme
* Thu Feb 20 2014 coolo@suse.com
- remove SUSE prefix from license
* Mon Jan 20 2014 coolo@suse.com
- updated to version 4.0.5
  * Fix haml_concat appending unescaped HTML after a call to haml_tag.
  * Fix for bug whereby when HAML :ugly option is "true",
  ActionView::Helpers::CaptureHelper::capture returns the whole view buffer
  when passed a block that returns nothing (thanks [Mircea
  Moise](https://github.com/mmircea16)).
* Fri Nov 22 2013 coolo@suse.com
- updated to version 4.0.4
  * Check for Rails::Railtie rather than Rails (thanks [Konstantin Shabanov](https://github.com/etehtsea)).
  * Parser fix to allow literal '#' with suppress_eval (Matt Wildig).
  * Helpers#escape_once works on frozen strings (as does
  ERB::Util.html_escape_once for which it acts as a replacement in
  Rails (thanks [Patrik Metzmacher](https://github.com/patrik)).
  * Minor test fix (thanks [Mircea Moise](https://github.com/mmircea16)).
* Fri May 24 2013 coolo@suse.com
- updated to version 4.0.3
  * Compatibility with newer versions of Rails's Erubis handler.
  * Fix Erubis handler for compatibility with Tilt 1.4.x, too.
  * Small performance optimization for html_escape.
  (thanks [Lachlan Sylvester](https://github.com/lsylvester))
  * Documentation fixes.
  * Documented some helper methods that were left out of the reference.
  (thanks [Shane Riley](https://github.com/shaneriley))
* Fri Apr 12 2013 coolo@suse.com
- updated to version 4.0.2
  * Explicitly require Erubis to work around bug in older versions of Tilt.
  * Fix :erb filter printing duplicate content in Rails views.
  (thanks [Jori Hardman](https://github.com/jorihardman))
  * Replace range with slice to reduce objects created by `capture_haml`.
  (thanks [Tieg Zaharia](https://github.com/tiegz))
  * Correct/improve some documentation.
* Sat Mar 23 2013 coolo@suse.com
- updated to version 4.0.1
  * Remove Rails 3.2.3+ textarea hack in favor of a more general solution.
  * Fix some performance regressions.
  * Fix support for Rails 4 `text_area` helper method.
  * Fix data attribute flattening with singleton objects.
  (thanks [Alisdair McDiarmid](https://github.com/alisdair))
  * Fix support for sass-rails 4.0 beta.
  (thanks [Ryunosuke SATO](https://github.com/tricknotes))
  * Load "haml/template" in Railtie in order to prevent user options set in a
  Rails initializer from being overwritten
  * Don't depend on Rails in haml/template to allow using Haml with ActionView
  but without Rails itself. (thanks [Hunter Haydel](https://github.com/wedgex))
* Sun Mar  3 2013 coolo@suse.com
- updated to version 4.0.0
  long list, see CHANGELOG.md
* Mon Aug 27 2012 cfarrell@suse.com
- license update: MIT and SUSE-WTFPL-2.0 and GPL-2.0 and Artistic-2.0
  Package is MIT licensed (see MIT license and README.md). However, the
  sass component under vendors has a GPL license and some of the tests are
  WTFPL licensed
* Sun Aug 26 2012 coolo@suse.com
- updated to version 3.1.7
  * relicensed to SUSE-WTFPL-2.0
* Tue Jun 26 2012 coolo@suse.com
- update to 3.1.6
  * fix for the rails 3.2.3 fix to work with rails 3.1
* Tue May  8 2012 coolo@suse.com
- update to 3.1.5
  * Respect Rails’ html_safe flag when escaping attribute values
  * Fix for Rails 3.2.3 textarea helpers
* Mon Apr  9 2012 coolo@suse.com
- update to 3.1.4
  Fix the use of FormBuilder#block with a label in Haml.
  Fix indentation after a self-closing tag with dynamic attributes.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Sep 18 2011 mrueckert@suse.de
- update to haml 3.1.3
  - Fix partial layouts
* Thu Jun  9 2011 aduffeck@novell.com
- update to haml 3.1.2
  - many bugfixes
  - fix incompatibility with the rails_xss security fix
    (http://weblog.rubyonrails.org/2011/6/8/potential-xss-vulnerability-in-ruby-on-rails-applications)
  - Rails 3 support
  - does not bundle sass anymore, which is now in rubygem-sass
* Fri Jun 18 2010 mrueckert@suse.de
- use rubygems_requires
* Tue May 25 2010 fcastelli@novell.com
- do not require explicitly rubygems version, calculate it at build time
* Thu May 20 2010 aduffeck@novell.com
- upgrade to haml 3.0.4 ( new features: Rails3 support, more useful multiline,
  color mixing, @extend...)
- incompatibilities:
  - haml: The puts helper has been removed. Use Haml::Helpers#haml_concat instead.
  - sass: new syntax SCSS. SASS2-files can be converted with:
    sass-convert --from sass2 style.sass style.scss
* Thu Feb 18 2010 aduffeck@novell.com
- upgrade to haml 2.2.20
* Thu Dec 17 2009 prusnak@suse.cz
- created package
